> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove team member

> Remove a team member by ID.

<Info>Replace `{your-subdomain}` with your workspace’s subdomain. <br /> Learn how to find your subdomain in [Workspace subdomain](/getting-started/workspace-subdomain).</Info>


## OpenAPI

````yaml bundled/team-members.yaml DELETE /team-members/{team_member_id}
openapi: 3.0.3
info:
  title: NeetoForm Team Members APIs
  version: 2.0.0
servers:
  - description: NeetoForm APIs
    url: https://{your-subdomain}.neetoform.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/getting-started/workspace-subdomain).
security: []
tags:
  - name: Team Members
    description: APIs to manage team members in the workspace.
paths:
  /team-members/{team_member_id}:
    delete:
      tags:
        - Team Members
      summary: Remove team member
      description: Remove a team member by ID.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/accept_header'
        - in: path
          name: team_member_id
          description: >-
            Id of the team member to remove. You can get `team_member_id` by
            listing all team members using our [List all team
            members](/api-reference/team-members/list) API.
          required: true
          schema:
            type: string
            example: 13c02be6-8bd4-4dda-b9e6-07df53feb8a4
      responses:
        '204':
          description: No Content - Team member removed successfully
        '404':
          description: Not Found - Team member with the given ID does not exist
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Team member not found
        '422':
          description: Unprocessable Entity - Cannot remove the last admin of the workspace
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Cannot remove the last admin of the workspace
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/getting-started/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    accept_header:
      in: header
      name: Accept
      description: >-
        Specifies the expected response format. Must be set to
        `application/json` for proper API communication.
      required: true
      schema:
        type: string
        enum:
          - application/json
        default: application/json

````